edu.isi.pegasus.planner.invocation

## Class Stamp

- java.lang.Object
- - org.griphyn.vdl.Chimera
  - - edu.isi.pegasus.planner.invocation.Invocation
    - - edu.isi.pegasus.planner.invocation.MachineInfo
      - - edu.isi.pegasus.planner.invocation.Stamp

All Implemented Interfaces:
  HasText, java.io.Serializable

    public class Stamp
    extends MachineInfo
    implements HasText

The Stamp element.

Version:
  $Revision$
Author:
  Karan Vahi
See Also:
  Serialized Form

### Field Summary

Fields
`static java.lang.String` `ELEMENT_NAME` The element name
`private java.lang.StringBuffer` `mValue` The text value

### Fields inherited from class edu.isi.pegasus.planner.invocation.MachineInfo

`mAttributeMap`

### Constructor Summary

Constructors
Constructor and Description
`Stamp()` The default constructor
`Stamp(java.lang.String value)` Constructs a piece of data.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `appendValue(java.lang.String fragment)` Appends a piece of text to the existing text.
`java.lang.String` `getElementName()` Returns the name of the xml element corresponding to the object.
`java.lang.String` `getValue()` Accessor
`void` `setValue(java.lang.String value)` Accessor.

### Methods inherited from class edu.isi.pegasus.planner.invocation.MachineInfo

`addAttribute, addAttributes, get, getAttributeKeysIterator, toString, toXML`

### Methods inherited from class org.griphyn.vdl.Chimera

`escape, quote, toString, toXML, toXML, writeAttribute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mValue

    private java.lang.StringBuffer mValue

The text value

#### ELEMENT_NAME

    public static final java.lang.String ELEMENT_NAME

The element name

See Also:
  Constant Field Values

### Constructor Detail

#### Stamp

    public Stamp()

The default constructor

#### Stamp

    public Stamp(java.lang.String value)

Constructs a piece of data.

Parameters:
  `value` - is the data to remember. The string may be empty, but it must not be `null`.
Throws:
  `java.lang.NullPointerException` - if the argument was null.

### Method Detail

#### getElementName

    public java.lang.String getElementName()

Returns the name of the xml element corresponding to the object.

Specified by:
  `getElementName` in class `MachineInfo`
Returns:
  name

#### appendValue

    public void appendValue(java.lang.String fragment)

Appends a piece of text to the existing text.

Specified by:
  `appendValue` in interface `HasText`
Parameters:
  `fragment` - is a piece of text to append to existing text. Appending `null` is a noop.

#### getValue

    public java.lang.String getValue()

Accessor

Specified by:
  `getValue` in interface `HasText`
See Also:
  `setValue(String)`

#### setValue

    public void setValue(java.lang.String value)

Accessor.

Specified by:
  `setValue` in interface `HasText`
Parameters:
  `value` - is the new value to set.
See Also:
  `getValue()`